﻿using PetkaWebDav.Server.Framework;
using PetkaWebDav.Server.Framework.Security;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Web;

namespace PetkaWebDav.Handler.FileSystem
{
    public class FileSystemWebDavHandler : IHttpHandler
    {
        private WebDavProcessor __webDavProcessor = new WebDavProcessor(Authentication.Forms);

        public bool IsReusable
        {
            get
            {
                return true;
            }
        }

        public void ProcessRequest(HttpContext context)
        {
            //Don't process WebDAV requests for the root and for files that exist (ie. default.aspx)
            //string _mappedPath = context.Server.MapPath(context.Request.Url.LocalPath);
            //if (!File.Exists(_mappedPath))
            __webDavProcessor.ProcessRequest(context.ApplicationInstance);
        }
    }
}
