﻿using PetkaWebDav.Server.Framework.BaseClasses;
using PetkaWebDav.Server.Framework.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PetkaWebDav.Handler.FileSystem.Handlers
{
    /// <summary>
    /// Custom implementation example for DavOptions.
    /// </summary>
    public sealed class DavOptions : DavOptionsBase
    {
        /// <summary>
        /// Dav HttpRequest OPTIONS Framework Base Class
        /// </summary>
        public DavOptions()
        {
            this.ProcessDavRequest += new DavProcessEventHandler(DavOptions_ProcessDavRequest);
        }

        private void DavOptions_ProcessDavRequest(object sender, EventArgs e)
        {
            //Provide support for all
            base.SupportedHttpMethods = HttpMethods.All;
        }
    }
}
