﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PetkaWebDav.Server.Framework.BaseClasses
{
    [Serializable]
    public abstract class DavPropertyBase
    {
        /// <summary>
        /// WebDav Property Base Class.
        /// </summary>
        protected DavPropertyBase()
        {
            this.Name = string.Empty;
            this.Namespace = string.Empty;
            this.Value = string.Empty;
        }

        /// <summary>
        /// Name
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Namespace
        /// </summary>
        public string Namespace { get; set; }

        /// <summary>
        /// Value
        /// </summary>
        public string Value { get; set; }
    }
}
